<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title>Licenta :: Register</title>
</head>
<body>
<div class="section no-pad-bot" layout:fragment="content">
    <div class="container">
        <div class="row">
            <div class="col s4 offset-s4">
                <div class="card-panel hoverable" style="margin-top:50px">
                    <form class="center" action="/register" method="post">
                        <div>
                            <b><span class="black-text center">Register Form</span></b>
                        </div>
                        <div class="row">
                            <div class="input-field col s12">
                                <input id="email" name="email" type="email" class="validate" th:value="${email}"/>
                                <label for="email">Email</label>
                            </div>
                        </div>
                        <div id="errorMessageEmail" class="card-panel red lighten-1" th:if="${errorEmail}">
                            <b><span class="white-text card-content">
                                 <p th:each="error : ${errorEmailMessages}" th:text="${error}"></p>
                            </span></b>
                        </div>
                        <div class="row">
                            <div class="input-field col s12">
                                <input id="username" name="username" type="text" class="validate" th:value="${username}"/>
                                <label for="username">Username</label>
                            </div>
                        </div>
                        <div id="errorMessageUsername" class="card-panel red lighten-1" th:if="${errorUsername}">
                            <b><span class="white-text card-content">
                                 <p th:each="error : ${errorUsernameMessages}" th:text="${error}"></p>
                            </span></b>
                        </div>
                        <div class="row">
                            <div class="input-field col s12">
                                <input id="password" name="password" type="password" class="validate"/>
                                <label for="password">Password</label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="input-field col s12">
                                <input id="matchingPassword" name="matchingPassword" type="password" class="validate"/>
                                <label for="matchingPassword">Matching Password</label>
                            </div>
                        </div>
                        <div id="errorMessagePassword" class="card-panel red lighten-1" th:if="${errorPassword}">
                            <b><span class="white-text card-content">
                                 <p th:each="error : ${errorPasswordMessages}" th:text="${error}"></p>
                            </span></b>
                        </div>
                        <div class="row center">
                            <button id="registerButton" class="btn-flat waves-effect waves-light" type="submit" name="action">
                                Register
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>